Bug 1188895 - Review Request: python-GridDataFormats - Read and write data on regular grids in Python
Summary: Review Request: python-GridDataFormats - Read and write data on regular grids...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1189015
TreeView+ depends on / blocked
 
Reported: 2015-02-03 23:56 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2015-03-08 22:45 UTC (History)
2 users (show)

Fixed In Version: python-GridDataFormats-0.2.4-1.el6.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:03:19 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2015-02-03 23:56:13 UTC
Spec URL: https://rathann.fedorapeople.org/review/python-GridDataFormats/python-GridDataFormats.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-GridDataFormats/python-GridDataFormats-0.2.4-1.fc21.src.rpm
Description:
GridDataFormats provides the Python package 'gridData'. It contains a class
('Grid') to handle data on a regular grid --- basically NumPy n-dimensional
arrays. It supports reading from and writing to some common formats (such as
OpenDX).

Fedora Account System Username: rathann

Comment 1 Florian "der-flo" Lehner 2015-02-05 18:45:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8833896
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-GridDataFormats-0.2.4-1.fc22.noarch.rpm
          python-GridDataFormats-0.2.4-1.fc22.src.rpm
python-GridDataFormats.src: W: spelling-error %description -l en_US gridData -> grid Data, grid-data, griddle
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-GridDataFormats (rpmlib, GLIBC filtered):
    numpy
    python(abi)
    scipy



Provides
--------
python-GridDataFormats:
    python-GridDataFormats



Source checksums
----------------
https://pypi.python.org/packages/source/G/GridDataFormats/GridDataFormats-0.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : f34e604072bef454c5aca326d14c3135dfd9efcdc201687b7dd2da14ef8c8d71
  CHECKSUM(SHA256) upstream package : f34e604072bef454c5aca326d14c3135dfd9efcdc201687b7dd2da14ef8c8d71


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1188895
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 2 Dominik 'Rathann' Mierzejewski 2015-02-06 10:21:15 UTC
New Package SCM Request
=======================
Package Name: python-GridDataFormats
Short Description: Read and write data on regular grids in Python
Upstream URL: https://github.com/orbeckst/GridDataFormats
Owners: rathann
Branches: f21 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2015-02-06 13:41:43 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-02-07 10:48:54 UTC
python-GridDataFormats-0.2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-GridDataFormats-0.2.4-1.fc21

Comment 5 Fedora Update System 2015-02-07 10:50:45 UTC
python-GridDataFormats-0.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-GridDataFormats-0.2.4-1.el7

Comment 6 Fedora Update System 2015-02-07 10:51:27 UTC
python-GridDataFormats-0.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-GridDataFormats-0.2.4-1.el6

Comment 7 Fedora Update System 2015-02-07 21:47:36 UTC
python-GridDataFormats-0.2.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-02-17 08:03:19 UTC
python-GridDataFormats-0.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-02-23 16:10:07 UTC
python-GridDataFormats-0.2.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 10 Fedora Update System 2015-03-08 22:45:48 UTC
python-GridDataFormats-0.2.4-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.